(function ($, paw) {
    var mm = null;

    $.fn.mobileMenu = function (touchScrollSortList, onMenuItemsSorted) {
        if (paw.utils.value.notSet(mm)) {
            mm = new paw.com.mobileMenu.MobileMenuComponent($(this), touchScrollSortList, onMenuItemsSorted);
            mm.init();
            return this;
        }
        return mm;
    };

    $.mobileMenu = function () {
        return mm;
    }
})(jQuery, paw);